### Method

# Camel NameValueArray copy

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_name_value_array_copy (
      const CamelNameValueArray* array
    )

#### Description [src]

Creates a new copy of the `array`. The returned pointer should be freed with `camel_name_value_array_free()` when no longer needed.

Available since: 3.24

#### Parameters

`array`

  Type: `CamelNameValueArray`

  A `CamelNameValueArray`.

  The argument can be `NULL`.

#### Return value

Type: `CamelNameValueArray`

A new copy of the `array`.

See: camel_name_value_array_new, camel_name_value_array_new_sized.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.